Bug 1550370 - Rebuild to fix missing ppc64le/epel7 package
Summary: Rebuild to fix missing ppc64le/epel7 package
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: xalan-c
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-01 06:15 UTC by Tomasz Kłoczko
Modified: 2018-03-26 17:29 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-26 17:29:34 UTC


Attachments (Terms of Use)

Description Tomasz Kłoczko 2018-03-01 06:15:18 UTC
Looks like there is no xalan-c for ppc64/epel7

https://koji.fedoraproject.org/koji/getfile?taskID=25380735&volume=DEFAULT&name=root.log&offset=-4000

Comment 1 Germano Massullo 2018-03-01 19:08:04 UTC
I have read old bugreport

xalan-c package needs source update for epel ppc64le/aarch64  https://bugzilla.redhat.com/show_bug.cgi?id=1198717

and I found out that at that time ppc64/epel7 was failing due

RHEL rpm config.guess does not support ppc64le
https://bugzilla.redhat.com/show_bug.cgi?id=1291377

that later, in 2016 has been fixed, so a simple rebuild will fix the problem.
I tried it on a Copr repo
https://copr.fedorainfracloud.org/coprs/germano/xalan-c-ppc64/build/723357/

Comment 2 Tomasz Kłoczko 2018-03-05 12:37:53 UTC
Any progress?
Still there is no ppc64 package

https://koji.fedoraproject.org/koji/getfile?taskID=25499455&volume=DEFAULT&name=root.log&offset=-4000

Comment 3 Germano Massullo 2018-03-07 01:09:17 UTC
FAS tibbs, that is proven packager, can help us in release bump, but we have to proof that the package works correctly (despite it compiles).
Tomasz do you have any idea how we could provide such proof?

Comment 4 Tomasz Kłoczko 2018-03-07 09:21:47 UTC
Building xml-security-c package will be one of infinitely many possible proves.

Comment 5 Fedora Update System 2018-03-07 18:47:50 UTC
xalan-c-1.11.0-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-20b37842f2

Comment 6 Jason Tibbitts 2018-03-07 18:57:12 UTC
A buildroot override is also active, so you can build against the updated package in koji now.

Comment 7 Tomasz Kłoczko 2018-03-07 19:48:45 UTC
Just have been able to build successfully xml-security-c for epel7.

https://koji.fedoraproject.org/koji/taskinfo?taskID=25546557

Thx

Comment 8 Fedora Update System 2018-03-08 17:10:45 UTC
xalan-c-1.11.0-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-20b37842f2

Comment 9 Fedora Update System 2018-03-26 17:29:34 UTC
xalan-c-1.11.0-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.